Bug 415221 - Missing Mail/mimeDecode.php
Missing Mail/mimeDecode.php
Product: Fedora
Classification: Fedora
Component: php-pear-Mail-Mime (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brandon Holbrook
Fedora Extras Quality Assurance
: 435643 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-12-06 23:22 EST by Bojan Smojver
Modified: 2008-04-09 01:12 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-04 01:20:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Spec file (2.22 KB, text/plain)
2008-03-05 21:08 EST, Bojan Smojver
no flags Details

  None (edit)
Description Bojan Smojver 2007-12-06 23:22:48 EST
Description of problem:

Apparently this file did not get shipped with F8 version of php-pear-Mail-Mime,
which then upsets horde:

[Fri Dec 07 15:09:45 2007] [error] [client <IP_Address>] PHP Warning: 
MIME_Structure::require_once(Mail/mimeDecode.php) [<a
failed to open stream: No such file or directory in
/usr/share/horde/lib/Horde/MIME/Structure.php on line 308, referer:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Attempt to open MIME e-mail in IMP/Horde.

Actual results:
Mail doesn't show, error message in log file.

Expected results:
Worked fine before.

Additional info:
CentOS 5.1 does have that file, in an older version of the package. Not sure
what happened in the meantime.
Comment 1 Joost van der Sluis 2008-01-23 07:32:25 EST
I had the same problem and investigated bit more. It seems like that since
version 1.5 of pear-mail-mime mimeDecode is removed from the package. (upstream) 

mimeDecode has now it's own pear-package, namely Mail_mimeDecode.

So maybe this new package can be added to Fedora.
Comment 2 Bojan Smojver 2008-03-02 16:53:02 EST
Ping... Could we have that package in F8, as per comment #1?
Comment 3 Bojan Smojver 2008-03-05 21:08:18 EST
Created attachment 296977 [details]
Spec file
Comment 4 Brandon Holbrook 2008-03-10 00:11:15 EDT
*** Bug 435643 has been marked as a duplicate of this bug. ***
Comment 5 Brandon Holbrook 2008-03-10 00:31:57 EDT
Created a new package request for Mail_mimeDecode:


Reviewers welcome!
Comment 6 Brandon Holbrook 2008-04-04 01:20:15 EDT
php-pear-Mail-mimeDecode has been pushed to all the F8 mirrors.  I have also
updated php-pear-Mail-Mime to require this new package, but that update is still
pending.  Enjoy!
Comment 7 Fedora Update System 2008-04-04 01:20:53 EDT
php-pear-Mail-Mime-1.5.2-3.fc8 has been submitted as an update for Fedora 8
Comment 8 Fedora Update System 2008-04-04 01:53:11 EDT
horde-3.1.7-2.fc8 has been submitted as an update for Fedora 8
Comment 9 Fedora Update System 2008-04-09 01:11:32 EDT
horde-3.1.7-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-04-09 01:12:12 EDT
php-pear-Mail-Mime-1.5.2-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.